using Microsoft.Xna.Framework;

namespace MonoGame.FourEngine.Raycast
{
    partial class RaycastComponent
    {
        protected virtual void OnBeginCast()
        {
        }

        protected virtual void OnCastedObject(IRaycastObject obj, Rectangle destinationRect, int i)
        {
        }
    }
}